using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class Employees  : Daolite.Business
	{
		public const string P_EmployeeID = "EmployeeID";
		public const string P_Address = "Address";
		public const string P_BirthDate = "BirthDate";
		public const string P_City = "City";
		public const string P_Country = "Country";
		public const string P_Extension = "Extension";
		public const string P_FirstName = "FirstName";
		public const string P_HireDate = "HireDate";
		public const string P_HomePhone = "HomePhone";
		public const string P_LastName = "LastName";
		public const string P_Notes = "Notes";
		public const string P_Photo = "Photo";
		public const string P_PostalCode = "PostalCode";
		public const string P_Region = "Region";
		public const string P_ReportsTo = "ReportsTo";
		public const string P_Title = "Title";
		public const string P_TitleOfCourtesy = "TitleOfCourtesy";
		public const string P_Orders_EmployeeID_Collection = "Orders_EmployeeID_Collection";

		long _EmployeeID;

		public long EmployeeID{
			get { return _EmployeeID; }
			set { _EmployeeID = value; }
		}


		string _Address;

		public string Address{
			get { return _Address; }
			set { _Address = value; }
		}


		DateTime _BirthDate;

		public DateTime BirthDate{
			get { return _BirthDate; }
			set { _BirthDate = value; }
		}


		string _City;

		public string City{
			get { return _City; }
			set { _City = value; }
		}


		string _Country;

		public string Country{
			get { return _Country; }
			set { _Country = value; }
		}


		string _Extension;

		public string Extension{
			get { return _Extension; }
			set { _Extension = value; }
		}


		string _FirstName;

		public string FirstName{
			get { return _FirstName; }
			set { _FirstName = value; }
		}


		DateTime _HireDate;

		public DateTime HireDate{
			get { return _HireDate; }
			set { _HireDate = value; }
		}


		string _HomePhone;

		public string HomePhone{
			get { return _HomePhone; }
			set { _HomePhone = value; }
		}


		string _LastName;

		public string LastName{
			get { return _LastName; }
			set { _LastName = value; }
		}


		string _Notes;

		public string Notes{
			get { return _Notes; }
			set { _Notes = value; }
		}


		object _Photo;

		public object Photo{
			get { return _Photo; }
			set { _Photo = value; }
		}


		string _PostalCode;

		public string PostalCode{
			get { return _PostalCode; }
			set { _PostalCode = value; }
		}


		string _Region;

		public string Region{
			get { return _Region; }
			set { _Region = value; }
		}


		long _ReportsTo;

		public long ReportsTo{
			get { return _ReportsTo; }
			set { _ReportsTo = value; }
		}


		string _Title;

		public string Title{
			get { return _Title; }
			set { _Title = value; }
		}


		string _TitleOfCourtesy;

		public string TitleOfCourtesy{
			get { return _TitleOfCourtesy; }
			set { _TitleOfCourtesy = value; }
		}


		Orders[] _Orders_EmployeeID_Collection;

		public Orders[] Orders_EmployeeID_Collection{
			get { return _Orders_EmployeeID_Collection; }
			set { _Orders_EmployeeID_Collection = value; }
		}


	}
}
